Bug 97390 - Menu item 'Recent Documents' not available when Query result window is in front
Summary: Menu item 'Recent Documents' not available when Query result window is in front
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.4.7.2 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Recent-Document-List
  Show dependency treegraph
 
Reported: 2016-01-27 12:28 UTC by Jon Kleiser
Modified: 2019-12-03 14:55 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Kleiser 2016-01-27 12:28:48 UTC
When a window showing database query results is the frontmost window, then there is no menu item 'Recent Documents' on the 'File' menu. This can be confusing and inconvenient.
When the query results is behind the main .odb window, however, then the menu item 'Recent Documents' is showing.
Comment 1 Joel Madero 2016-01-27 19:07:05 UTC
Bodhi Moksha
LibreOffice Version: 5.2.0.0.alpha0+
Build ID: 182375f7a90ca53919fd2892f7856aee4d678dd0
CPU Threads: 2; OS Version: Linux 3.16; UI Render: default; 
Locale: en-US (en_US.UTF-8)

Confirmed


If you have time to try older versions, would be good to know if this is a regression or not (at least by testing 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

If it's a regression please let us know what version worked and add "regression" to keywords. Thanks!
Comment 2 Jon Kleiser 2016-01-28 10:06:31 UTC
I have now tried LibreOffice 4.4.7.2 on my Mac, and it has the same problem as version 5.0.4.2 (re. 'Recent Documents’).

In addition, 4.4.7.2 uses more than a minute opening an Oracle JDBC connection, while 5.0.4.2 uses some 30 seconds (which is also quite slow).

I also tried version 3.3.0, but it could not open my database queries, as it could not find my Java Runtime Environment.
Comment 3 Joel Madero 2016-01-28 16:54:56 UTC
Thanks for the update. updating version to reflect earliest affected version.
Comment 4 QA Administrators 2017-03-06 13:47:20 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2019-12-03 14:55:59 UTC
Dear Jon Kleiser,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug